<div class="login-block">
  <h1>Register Account</h1>
  <p class="info-message">{{notificationMessage}}.</p>
  <form (submit)="register()">
    <p>
      <input type="text"
             [(ngModel)]="username"
             name="username"
             placeholder="Username"
             required>
    </p>
    <p>
      <input type="password"
             [(ngModel)]="password"
             name="password"
             placeholder="Password"
             required>
    </p>
    <button type="submit">Submit</button>
    <p class="info-message">
      Already have an account? Login <a (click)="gotoLogin()">here</a>.
    </p>

  </form>
</div>
